Package org.apache.cayenne.access.types

# Class WktType

java.lang.Object
org.apache.cayenne.access.types.WktType

All Implemented Interfaces:
  `ExtendedType<Wkt>`

public class WktType extends Object implements ExtendedType<Wkt>

Since:
  4.2

- ## Field Summary

  ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

  `TRIM_VALUES_THRESHOLD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WktType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Returns a full name of Java class that this ExtendedType supports.
  `Wkt`
  `materializeObject(CallableStatement rs, int index, int type)`
  Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
  `Wkt`
  `materializeObject(ResultSet rs, int index, int type)`
  Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
  `void`
  `setJdbcObject(PreparedStatement statement, Wkt wkt, int pos, int type, int scale)`
  Initializes a single parameter of a PreparedStatement with object value.
  `String`
  `toString(Wkt value)`
  Converts value of the supported type to a human-readable String representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WktType

    public WktType()

- ## Method Details

  - ### getClassName

    public String getClassName()
    Description copied from interface: `ExtendedType`
    Returns a full name of Java class that this ExtendedType supports.
    Specified by:
      `getClassName` in interface `ExtendedType<Wkt>`

  - ### setJdbcObject

    public void setJdbcObject(PreparedStatement statement, Wkt wkt, int pos, int type, int scale) throws Exception
    Description copied from interface: `ExtendedType`
    Initializes a single parameter of a PreparedStatement with object value.
    Specified by:
      `setJdbcObject` in interface `ExtendedType<Wkt>`
    Throws:
      `Exception`

  - ### materializeObject

    public Wkt materializeObject(ResultSet rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Wkt>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### materializeObject

    public Wkt materializeObject(CallableStatement rs, int index, int type) throws Exception
    Description copied from interface: `ExtendedType`
    Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    Specified by:
      `materializeObject` in interface `ExtendedType<Wkt>`
    Throws:
      `Exception` - if read error occurred, or an object can't be converted to a target Java class.

  - ### toString

    public String toString(Wkt value)
    Description copied from interface: `ExtendedType`
    Converts value of the supported type to a human-readable String representation.
    Specified by:
      `toString` in interface `ExtendedType<Wkt>`
    Parameters:
      `value` - a value to convert to String.